Bug 609365 - [TAHI][SIPv6][RG]A Record-Route header field exists in 200 OK from opensips-1.6.2-1.fc13 register server after sending a REGISTER request with a Record-Route header field
Summary: [TAHI][SIPv6][RG]A Record-Route header field exists in 200 OK from opensips-1...
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: opensips (Show other bugs)
(Show other bugs)
Version: 19
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 572236
TreeView+ depends on / blocked
 
Reported: 2010-06-30 05:50 UTC by xhu
Modified: 2014-08-10 16:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-10 16:21:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
opensips configuration file (11.00 KB, application/octet-stream)
2010-06-30 05:55 UTC, xhu
no flags Details

Description xhu 2010-06-30 05:50:06 UTC
Description of problem:
A Record-Route header field exists in 200 OK from opensips-1.6.2-1.fc13 register server after sending a REGISTER request with a Record-Route header field. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
1 Test topology:
A Record-Route header field exists in 200 OK from opensips-1.6.2-1.fc13 register server after sending a REGISTER request with a Record-Route header field.

                   NUT(REG && PX)           UA11                         UA12                           DNS
                        |                      |                          |                              |
IP          : 3ffe:501:ffff:50::50   3ffe:501:ffff:1::1          3ffe:501:ffff:2::2                3ffe:501:ffff:4::1
aor-uri     : ss.under.test.com      UA11@under.test.com         UA12@under.test.com
contact-uri :                        UA11@node.under.test.com    UA12@node11.under.test.com

2  the test result can be seen as follows:

                        NUT  UA11 UA12 UA13 UA14 PX2  PX3  PX4  DNS
 No     time             |    |    |    |    |    |    |    |    |
 No     time             |    |    |    |    |    |    |    |    |
[0001:  0.00|    ]       |----|----|----|----|----|----|----|--->|  DNS(query) Q:ss.under.test.com.  A:
[0002:  0.00|    ]       |<---|----|----|----|----|----|----|----|  DNS(reply) Q:ss.under.test.com.  A:No Host
[0003:  0.00|    ]       |----|----|----|----|----|----|----|--->|  DNS(query) Q:ss.under.test.com.localdomain.  A:
[0004:  0.00|    ]       |<---|----|----|----|----|----|----|----|  DNS(reply) Q:ss.under.test.com.localdomain.  A:No Host
[0005:  0.00|    ]       |----|----|----|----|----|----|----|--->|  DNS(query) Q:ss.under.test.com.  A:
[0006:  0.00|    ]       |<---|----|----|----|----|----|----|----|  DNS(reply) Q:ss.under.test.com.  A:No Host
[0007:  0.00|    ]       |----|----|----|----|----|----|----|--->|  DNS(query) Q:ss.under.test.com.localdomain.  A:
[0008:  0.00|    ]       |<---|----|----|----|----|----|----|----|  DNS(reply) Q:ss.under.test.com.localdomain.  A:No Host
[0009:  3.11|U   ] REGIS |<---|    |    |    |    |    |    |    | REGISTER sip:ss.under.test.com:5060
[0010:  3.11|U   ] 401   |--->|    |    |    |    |    |    |    | 401 Unauthorized (REGISTER)
[0011:  3.19|U   ] REGIS |<---|    |    |    |    |    |    |    | REGISTER sip:ss.under.test.com:5060
[0012:  3.19|U   ] 200   |--->|    |    |    |    |    |    |    | 200 OK (REGISTER)

0009: <UA11         REGISTER sip:ss.under.test.com:5060 SIP/2.0
Via: SIP/2.0/UDP node.under.test.com:5060;branch=z9hG4bKPUA3440342
Max-Forwards: 70
Record-Route: <example.under.test.com;lr>
From: UA11 <sip:UA11@under.test.com>;tag=11242
To: UA11 <sip:UA11@under.test.com>
Call-ID: 11242@dog.example.com
CSeq: 1 REGISTER
Contact: <sip:UA11@node.under.test.com;transport=udp>
Expires: 3600
Content-Length: 0

0010: >UA11        SIP/2.0 401 Unauthorized
Via: SIP/2.0/UDP node.under.test.com:5060;branch=z9hG4bKPUA3440342;received=3FFE:501:FFFF:1:0:0:0:1
From: UA11 <sip:UA11@under.test.com>;tag=11242
To: UA11 <sip:UA11@under.test.com>;tag=342e93888690910a050457d333be0c5a.05e5
Call-ID: 11242@dog.example.com
CSeq: 1 REGISTER
WWW-Authenticate: Digest realm="under.test.com", nonce="4c2304c300000000f0cf7e50c3b7239f24977828d8c2d1a2", qop="auth"
Server: OpenSIPS (1.6.2-tls (i386/linux))
Content-Length: 0

0011: <UA11         REGISTER sip:ss.under.test.com:5060 SIP/2.0
Via: SIP/2.0/UDP node.under.test.com:5060;branch=z9hG4bKPUA3440343
Max-Forwards: 70
Record-Route: <example.under.test.com;lr>
Authorization: Digest username="UA11", realm="under.test.com", qop=auth, nonce="4c2304c300000000f0cf7e50c3b7239f24977828d8c2d1a2", opaque="", nc=00000001, cnonce="6f54a149", uri="sip:ss.under.test.com:5060", response="4cbb733026c8ec82e3c2a9c755c3a688"
From: UA11 <sip:UA11@under.test.com>;tag=11242
To: UA11 <sip:UA11@under.test.com>
Call-ID: 11242@dog.example.com
CSeq: 2 REGISTER
Contact: <sip:UA11@node.under.test.com;transport=udp>
Expires: 3600
Content-Length: 0

0012: >UA11        SIP/2.0 200 OK
Via: SIP/2.0/UDP node.under.test.com:5060;branch=z9hG4bKPUA3440343;received=3FFE:501:FFFF:1:0:0:0:1
Record-Route: <example.under.test.com;lr>
From: UA11 <sip:UA11@under.test.com>;tag=11242
To: UA11 <sip:UA11@under.test.com>;tag=342e93888690910a050457d333be0c5a.9df4
Call-ID: 11242@dog.example.com
CSeq: 2 REGISTER
Date: Thu, 24 Jun 2010 07:09:25 GMT
Contact: <sip:UA11@node.under.test.com;transport=udp>;expires=3600
Server: OpenSIPS (1.6.2-tls (i386/linux))
Content-Length: 0

Expected results:
A Record-Route header field should not exist in 200 OK from opensips-1.6.2-1.fc13 register server after sending a REGISTER request with a Record-Route header field.

Additional info:

Comment 1 xhu 2010-06-30 05:55:51 UTC
Created attachment 427863 [details]
opensips configuration file

Comment 3 Fedora End Of Life 2013-04-03 18:37:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 4 Peter Lemenkov 2014-08-10 16:21:56 UTC
This report is filed against a very old OpenSIPS. I can't confirm if it's still valid or not. Anyway it seems that this issue is better to discuss with upstream.


Note You need to log in before you can comment on or make changes to this bug.